#include <bits/stdc++.h>
using namespace std;

int main() {
	ios_base::sync_with_stdio(false);
	int n;
	cin >> n;
	int a[n + 1];
	a[0] = 0;
	for(int i = 1; i < n + 1; i++) {
		cin >> a[i];
	}
	int q;
	cin >> q;
	for(int i = 0; i < q; i++) {
		int l, r;
		cin >> l >> r;
		int br = 0;
		for(int j = l; j < r; j++) {
			if(a[j] > a[j + 1]) br++;
		}
		if(br <= 1) cout << "DA" << '\n';
		else cout << "NE" << '\n';
	}
	return 0;
}